import 'package:get/get.dart';
import 'package:vnoteapp/architecture/defines.dart';

class LoginGatewayState {
  final RxString _version = ''.obs;
  final RxString _deviceCode = ''.obs;
  final RxString _gateway = ''.obs;

  /// 版本号
  String get version => _version.value;
  set version(String val) => _version.updateValue(val);

  /// 设备编号
  String get deviceCode => _deviceCode.value;
  set deviceCode(String val) => _deviceCode.updateValue(val);

  /// 服务网关
  String get gateway => _gateway.value;
  set gateway(String val) => _gateway.updateValue(val);
}
